package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

/**
 * <p>
 * 采购合同-需方收货人或供应商发货人表
 * </p>
 *
 * @author yafan
 * @since 2023-12-13
 */
@TableName("c_purch_contract_buyer_seller")
public class CPurchContractBuyerSeller extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableField("serial_number")
    private Integer serialNumber;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 身份证号
     */
    @TableField("id_card")
    private String idCard;

    /**
     * 联系方式
     */
    @TableField("contact")
    private String contact;

    /**
     * 收货人/发货人标识 （1:需方收货人,2:供应商发货人）
     */
    @TableField("buyer_or_seller")
    private Integer buyerOrSeller;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("c_purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public Integer getBuyerOrSeller() {
        return buyerOrSeller;
    }

    public void setBuyerOrSeller(Integer buyerOrSeller) {
        this.buyerOrSeller = buyerOrSeller;
    }

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }

    @Override
    public String toString() {
        return "CPurchContractBuyerSeller{" +
                ", serialNumber=" + serialNumber +
                ", name=" + name +
                ", idCard=" + idCard +
                ", contact=" + contact +
                ", buyerOrSeller=" + buyerOrSeller +
                "}";
    }
}
